GFSTATUS(1)

NAME
gfstatus - display Gfarm configuration status

SYNOPSIS

gfstatus [-P path] [-d]

gfstatus [-P path] [-d | -M] [-l | -L]

gfstatus [-P path] [-d | -M] configuration_name...

gfstatus -Mm [-P path] [-d] configuration_directive...

gfstatus -V

DESCRIPTION

When no argument is specified, and neither -l nor -L option is specified, gfstatus displays information about the Gfarm file system.

When -l option is specified, configuration names are listed. When -L option is specified, configuration names and their values are listed. Both -l and -L options can be combined with the -M option to choose whether gfmd configuration or client configuration is listed. NOTE: Currently, only limited set of configuration names can be listed..

Example:

    	$ gfstatus -L
    	$ gfstatus -LM

When any configuration name is specified as an argument, gfstatus displays the current setting of the configuration. If -M option is specified, it asks gfmd about the setting, otherwise it displays the setting on localhost. NOTE: Currently, only limited set of configuration names can be specified.

Example:

    	$ gfstatus -M digest

When -Mm option is specified, the gfstatus command treats its arguments as configuration directives which are same syntax with gfarm2.conf, and modifies the setting on gfmd. NOTE: Currently, only limited set of directives can be specified.

Example:

    	$ gfstatus -Mm 'digest sha1'

OPTIONS

-d
    Displays debug messages.

-l
    Lists configuration names. This option can be used with the -M option.

-L
    Lists configuration names and their values. This option can be used with the -M option.

-m
    Modifies configuration setting. This option should be used with the -M option.

-M
    Performs specified operation against gfmd.

-P path
    Specifies a path name to specify a metadata server instead of the root metadata server.

-V
    Displays Gfarm version.

-?
    Displays a list of command options.